Bug 20264 - [SER30] XHTML 5 serialization: doctype-public with no doctype-system
Summary: [SER30] XHTML 5 serialization: doctype-public with no doctype-system
Status: RESOLVED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: Serialization 3.0 (show other bugs)
Version: Last Call drafts
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Henry Zongaro
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-06 10:49 UTC by Michael Kay
Modified: 2012-12-21 05:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kay 2012-12-06 10:49:41 UTC
Section 5.1.7 states:

The doctype-public parameter MUST be ignored unless the doctype-system parameter is specified.

It is not clear whether "ignoring" the parameter means treating it as absent for the purposes of the rule in 6.1.7:

[if] the doctype-public and doctype-system serialization parameters are both absent ...
Comment 1 Michael Kay 2012-12-06 10:57:41 UTC
Test case output-0229 in the XSLT 3.0 test suite depends on the outcome.
Comment 2 Henry Zongaro 2012-12-11 16:10:01 UTC
I think treating it as absent for the purposes of 6.1.7 would be most reasonable.  My own opinion, not that of the working groups.
Comment 3 Henry Zongaro 2012-12-21 05:20:15 UTC
As was decided at the joint XSLT/XQuery call of 18 December 2012,[1] I will change the text in section 6.1.7 from "if the doctype-public and doctype-system serialization parameters are both absent" to "if the doctype-system serialization parameter is absent," to make it clear that if doctype-system is absent, doctype-public has no effect for the XHTML output method.

This will be reflected in the next public working draft of Serialization 3.0.

As you were present when this decision was made, I will assume you are in agreement with these changes and mark the bug as CLOSED.

[1] https://lists.w3.org/Archives/Member/w3c-xsl-query/2012Dec/0054.html (Member-only link)